Conflict in spec file

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Conflict in spec file

Roger Oberholtzer-2
I have a project in obs that has developed a problem. When I view the
project in the web interface, I get the message "Files could not be
expanded: conflict in file gpsd.spec"

This project was working a week or so ago. But when I have returned
from vacation, this appears.

I must click on "show unmerged sources" to see the source files. And
the package no longer builds. The last time it built was Nov 19. So
whatever happened was after that date. As I have been away, I an
certain that I have not done anything.

I may have created the package by copying another package in OBS. But
I don't want/need any connection to that package.

Two questions:

What could cause this error?

How can I remove the link to the original package?

The curious package is:


https://build.opensuse.org/package/show/home:rogeroberholtzer/gpsd

--
Roger Oberholtzer
--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Conflict in spec file

Adrian Schröter
On Freitag, 1. Dezember 2017, 10:28:55 CET wrote Roger Oberholtzer:

> I have a project in obs that has developed a problem. When I view the
> project in the web interface, I get the message "Files could not be
> expanded: conflict in file gpsd.spec"
>
> This project was working a week or so ago. But when I have returned
> from vacation, this appears.
>
> I must click on "show unmerged sources" to see the source files. And
> the package no longer builds. The last time it built was Nov 19. So
> whatever happened was after that date. As I have been away, I an
> certain that I have not done anything.
>
> I may have created the package by copying another package in OBS. But
> I don't want/need any connection to that package.
>
> Two questions:
>
> What could cause this error?

conflicting change in your and the original package.
As with most of other SCM systems you can fix that using

 osc pull
 .... fixing ...
 osc resvoled $file

> How can I remove the link to the original package?

Just remove the _link file in your package.

> The curious package is:
>
>
> https://build.opensuse.org/package/show/home:rogeroberholtzer/gpsd
>
>


--

Adrian Schroeter
email: [hidden email]

SUSE Linux GmbH, GF: Felix Imendörffer, Jane Smithard, Graham Norton, HRB 21284 (AG Nürnberg)
 
Maxfeldstraße 5                        
90409 Nürnberg
Germany


--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Conflict in spec file

Roger Oberholtzer-2
On Fri, Dec 1, 2017 at 11:41 AM, Adrian Schröter <[hidden email]> wrote:

>> How can I remove the link to the original package?
>
> Just remove the _link file in your package.

That did the trick. Thanks!

Now to deal with the madness that is python2/python3 and the move to
scons 3.0. But I see that the gpsd in Applications:Geo also has issues
related to this as well.


--
Roger Oberholtzer
--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Conflict in spec file

Andreas Schwab
In reply to this post by Roger Oberholtzer-2
On Dez 01 2017, Roger Oberholtzer <[hidden email]> wrote:

> How can I remove the link to the original package?

Run "osc detachbranch".

Andreas.

--
Andreas Schwab, [hidden email]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."
--
To unsubscribe, e-mail: [hidden email]
To contact the owner, e-mail: [hidden email]